# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-paramlinks

Name:           python-%{pypi_name}
Version:        0.3.7
Release:        %mkrel 6
Summary:        Allows param links in Sphinx function/method descriptions to be linkable
Group:          Development/Python
License:        MIT
URL:            https://github.com/sqlalchemyorg/sphinx-paramlinks
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A Sphinx extension which allows :param: directives within Python documentation
to be linkable. This is an experimental, possibly -not- useful extension that's
used by the SQLAlchemy project and related projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Sphinx extension which allows :param: directives within Python documentation
to be linkable. This is an experimental, possibly -not- useful extension that's
used by the SQLAlchemy project and related projects.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinx_paramlinks
%{python3_sitelib}/sphinx_paramlinks-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.3.7-6.mga10
+ Revision: 2019466
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.3.7-5.mga9
+ Revision: 1823031
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.3.7-4.mga9
+ Revision: 1779036
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sun Feb 16 2020 umeabot <umeabot> 0.3.7-3.mga9
+ Revision: 1531588
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.3.7-2.mga8
+ Revision: 1440560
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.3.7-1.mga8
+ Revision: 1435776
- imported package python-sphinx-paramlinks

